#ifndef HISTORYDBFORM_H
#define HISTORYDBFORM_H

#include <QDialog>
#include "historydb.h"

namespace Ui {
class HistoryDBForm;
}

class HistoryDBForm : public QDialog
{
    Q_OBJECT

public:
    explicit HistoryDBForm(QWidget *parent = 0);
    ~HistoryDBForm();

     void setDB(dbHistory *_db);

private:
    Ui::HistoryDBForm *ui;

    dbHistory *HistoryDB;

    void showInfoDB();


private slots:
    void on_reset_clicked();

};

#endif // HISTORYDBFORM_H
